Browse Source

Depend on libosmo-simtrace >= 0.8.0

Change-Id: I60ae1e097c4182d948ed807ee4ca37f91d32cfae
changes/79/26479/1
Harald Welte 7 months ago
parent
commit
7382eb343a
  1. 4
      configure.ac
  2. 2
      contrib/osmo-remsim.spec.in
  3. 2
      debian/control

4
configure.ac

@ -64,8 +64,8 @@ AC_ARG_ENABLE([remsim-client-st2],[AS_HELP_STRING([--disable-remsim-client-st2],
[osmo_ac_build_client_st2="$enableval"],[osmo_ac_build_client_st2="yes"])
if test "$osmo_ac_build_client_st2" = "yes"; then
AC_DEFINE(BUILD_CLIENT_ST2, 1, [Define if we want to build osmo-remsim-client-st2])
PKG_CHECK_MODULES(OSMOUSB, libosmousb)
PKG_CHECK_MODULES(OSMOSIMTRACE2, libosmo-simtrace2)
PKG_CHECK_MODULES(OSMOUSB, libosmousb >= 1.4.0)
PKG_CHECK_MODULES(OSMOSIMTRACE2, libosmo-simtrace2 >= 0.8.0)
PKG_CHECK_MODULES(USB, libusb-1.0)
fi
AM_CONDITIONAL(BUILD_CLIENT_ST2, test "x$osmo_ac_build_client_st2" = "xyes")

2
contrib/osmo-remsim.spec.in

@ -38,7 +38,7 @@ BuildRequires: pkgconfig(libpcsclite)
BuildRequires: pkgconfig(libulfius)
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: pkgconfig(libosmousb)
BuildRequires: pkgconfig(libosmo-simtrace2)
BuildRequires: pkgconfig(libosmo-simtrace2) >= 0.8.0
%{?systemd_requires}
%description

2
debian/control vendored

@ -11,7 +11,7 @@ Build-Depends: debhelper (>= 9),
libcsv-dev,
libosmocore-dev (>= 1.6.0),
libosmo-abis-dev,
libosmo-simtrace2-dev,
libosmo-simtrace2-dev (>= 0.8.0),
libpcsclite-dev,
libusb-1.0-0-dev,
libulfius-dev,

Loading…
Cancel
Save